<template>
  <div class="flex flex-col items-start">
    <div class="flex items-center gap-1 p-0 mb-2">
      <span
        class="text-[20px] leading-[23px] font-bold display-welcome-message user-center-text5"
        >{{ $t("hi") }}! {{ isBSI ? $t("anonymous") : username }}</span
      >
    </div>
    <div
      v-if="isShowWalletContainer"
      class="flex flex-col items-start justify-between w-full px-4 py-3 rounded-lg bg-5"
    >
      <div class="min-h-[46px] w-full">
        <div
          v-for="(wallet, index) in wallets"
          :key="index"
          class="flex flex-col items-start p-0 gap-1 w-full h-[46px]"
        >
          <span
            class="h-[14px] font-normal text-xs leading-[14px] whitespace-nowrap tc-5"
            :class="{ 'welcome-text': isMain }"
            >{{ wallet.getWalletNameForDisplay() }}</span
          >
          <div
            class="flex flex-row justify-between items-end p-0 gap-11 w-full h-[28px]"
          >
            <span
              class="h-[28px] font-bold text-2xl leading-7 user-center-text5"
              >{{ wallet.getBetCreditForDisplay() }}</span
            >
            <div class="m-account-item flex items-center gap-1 tc-5">
              <div class="m-account-currency user-center-text5">
                {{ currency }}
              </div>
              <UtilsReloadWallets
                :loading="isLoading"
                :on-click="getMultiWallets"
              />
            </div>
          </div>
        </div>
      </div>
      <div
        v-if="isShowDepositWithdrawal && isCashPlayer"
        class="flex flex-row items-start p-0 gap-2 w-full h-[40px] mt-2"
      >
        <nuxt-link
          :to="isBSI ? '/login' : '/deposit'"
          class="flex flex-row justify-center items-center py-[10px] px-4 gap-1 w-1/2 h-[40px] bg-primary rounded-[20px]"
          :id = "`${ID.USER_CENTER.DEPOSIT}`"
          @click="setBacktoNavigation"
        >
          <IDeposit class="w-4 h-4 user-center-text-btn pointer-events-none" />
          <span
            class="h-[16px] font-bold text-sm leading-4 text-center user-center-text-btn pointer-events-none"
          >
            {{ $t(`deposit${isBhinbhin}`) }}
          </span>
        </nuxt-link>
        <nuxt-link
          :to="isBSI ? '/login' : '/withdrawal'"
          class="flex flex-row justify-center items-center py-[10px] px-4 gap-1 w-1/2 h-[40px] bg-primary rounded-[20px]"
          :id = "`${ID.USER_CENTER.WITHDRAW}`"
          @click="setBacktoNavigation"
        >
          <IWithdrawal class="w-4 h-4 user-center-text-btn pointer-events-none" />
          <span
            class="h-[16px] font-bold text-sm leading-4 text-center user-center-text-btn pointer-events-none"
          >
            {{ $t("withdrawal") }}
          </span>
        </nuxt-link>
      </div>
    </div>
  </div>
</template>
<script lang="ts">
import { computed, defineComponent } from "vue";
import useBalanceInfo from "@/composables/useBalanceInfo";
import { store } from "@/store";
import useMenu from "@/composables/useMenu";
import IDeposit from "~/assets/icons/deposit.svg?component";
import IWithdrawal from "~/assets/icons/withdrawal.svg?component";
import IReload from "~/assets/icons/reload.svg?component";
import { appNavigationStore } from "~~/store/app-navigation";
import EnumMutation from "~~/models/enums/enumMutation";

const { getAssetImage, isBhinbhin } = commonHelper;
export default defineComponent({
  name: "AccountInfoComponent",
  components: { IDeposit, IWithdrawal, IReload },
  setup() {
    const isBSI = computed(() => !store.state.auth);
    const username = computed(() => store.state.username);
    const currency = computed(() => store.state.currency);
    const onNavigateToPage = (url: string) => {
      if (isBSI.value) {
        store.commit("updateLoginDialog", !store.state.showLoginDialog);
      } else {
        window.open(url, "_blank");
      }
    };
    const { isLoading, getBalance, getMultiWallets, wallets } =
      useBalanceInfo();
    const { isShowDepositWithdrawal, isCashPlayer } = useMenu();
    const isShowWalletContainer = computed(
      () => (isBSI.value && isShowDepositWithdrawal.value) || !isBSI.value
    );
    const isMain = computed(() => store.state.selectedThemeName === "main");
    const setBacktoNavigation = () => {
      appNavigationStore.commit(
        EnumMutation.updateAppNavigationBackToRoute,
        "/profile"
      );
    };
    return {
      isBSI,
      username,
      currency,
      getBalance,
      isLoading,
      wallets,
      onNavigateToPage,
      getAssetImage,
      isShowDepositWithdrawal,
      isCashPlayer,
      isShowWalletContainer,
      isMain,
      setBacktoNavigation,
      isBhinbhin,
      getMultiWallets,
    };
  },
});
</script>
<style lang="scss">
.m-username {
  font-size: 16.28px;
  color: var(--textBtn);
}
.m-account-currency {
  @apply text-sm leading-4 font-normal;
  color: var(--text);
}
.m-account-item {
  @apply flex items-center justify-center p-0 gap-1 w-[47px] h-[16px];
}
.m-account-main {
  max-height: 109.44px;
}
.refresh_icon {
  height: 9px;
  width: 12px;
  color: var(--text);
}
[theme-color="bk8"] {
  .display-welcome-message {
    color: var(--text5);
  }
}
.user-center-text5 {
  color: var(--text5);
}
.user-center-text-btn {
  color: var(--textBtn);
}
</style>
